/* eslint-env node */
/* eslint-disable strict */

'use strict';

module.exports = {
  name: 'ember-powered-datepicker',

  included: function(...args) {
    this._super.included(...args);

    let app = args[0];

    while (app.app) {
      app = app.app;
    }

    // consuming app's or addon's config (not the top level app)
    const addonBuildOpts = args[0].options['ember-powered-datepicker'];

    // import default styles except for when explicitly defined as false
    if (!(
        addonBuildOpts &&
        typeof addonBuildOpts.importDefaultStyle !== 'undefined' &&
        addonBuildOpts.importDefaultStyle === false
      )) {
      // if not forbidden, import into top level app
      app.import('vendor/ember-powered-datepicker.css');
    }
  },

};
